#!/usr/bin/python3
# Deux clignotements - par Mike Cook
import time
import RPi.GPIO as io

broLed1 = 23
broLed2 = 24
vitCliLed1  = 0.5    # Vitesse de cligno
tpsAlluLed2 = 0.5
tpsNoirLed2 = 0.51
etatLed1 = 0
etatLed2 = 0
tpsCligno1 = time.time()
tpsCligno2 = time.time()

def main():
   print("Deux clignos - Ctrl-C pour quitter")
   initGPIO()
   while 1:
      if time.time() > tpsCligno1:
         clignoter1()
      if time.time() > tpsCligno2:
         clignoter2()

def clignoter1():
   global tpsCligno1, etatLed1
   if etatLed1 == 0:
      io.output(broLed1,1)
      etatLed1 = 1
   else:
      io.output(broLed1,0)
      etatLed1 = 0
   tpsCligno1 = time.time() + vitCliLed1

def clignoter2():
   global tpsCligno2, etatLed2
   if etatLed2 == 0:
      io.output(broLed2,1)
      etatLed2 = 1
      tpsCligno2 = time.time() + tpsAlluLed2

   else:
      io.output(broLed2,0)
      etatLed2 = 0
      tpsCligno2 = time.time() + tpsNoirLed2

def initGPIO():
   io.setmode(io.BCM)
   io.setwarnings(False)
   io.setup(broLed1,io.OUT)
   io.setup(broLed2,io.OUT)

# 
if __name__ == '__main__':
   main()
   