#!/usr/bin/python3
import time, os
import wiringpi as io # using WiringPi

try :
   io.wiringPiSetupGpio()
except :
   print("start IDLE with 'gksudo idle3' from command line")
   os._exit(1) # quit

io.pinMode(4,1)          # make pin 4 into an output
io.pinMode(24,0)         # make pin 24 into an input
io.pullUpDnControl(24,2) # enable pull up   

print("LED blinker switch using WiringPi - By Mike Cook")
print("Ctrl C to quit")
while True:
  io.digitalWrite(4,0)
  if io.digitalRead(24) == 1:
     time.sleep(0.30)
  else :
     time.sleep(1.00)
  io.digitalWrite(4,1)
  if io.digitalRead(24) == 1:
     time.sleep(0.30)
  else :
     time.sleep(1.00)

