#!/usr/bin/env python3
# Demo de la classe Apa102bang 

import time
from apa102bangfr import Apa102bangfr

longueur = 8 
lumi     = 4
dataPin  = 23
clockPin = 24      # Broches Blinkt!

barreLed = Apa102bangfr(longueur,dataPin,clockPin,lumi)

def main():
  print("Demo APA102 - Ctrl C pour quitter")
  while True:
    for i in range(0,8):
      barreLed.changerLed(i,(120,0,0)) # rouge
      barreLed.afficher()
      time.sleep(0.06)
    time.sleep(0.6)
    for i in range(0,4):
      barreLed.changerLed(i,(0,120,0)) # vert
      barreLed.afficher()
      time.sleep(0.06)
    time.sleep(0.6)
    for i in range(4,8):
      barreLed.changerLed(i,(0,0,120)) # bleu
      barreLed.afficher()
      time.sleep(0.06)
    time.sleep(0.6)
    for i in range(0,8):
      barreLed.changerLed(i,(0,0,0))   # noir
      barreLed.afficher()
      time.sleep(0.06)
    time.sleep(0.6)
    print("Demo APA102")

# Main program logic:
if __name__ == '__main__':
    main()
