#!/usr/bin/env python
# Simple RFID Jukebox by Mike Cook
# VF par O.E.
 
from rc522rfid import Rc522rfid
import pygame

pygame.mixer.quit()
pygame.mixer.init(frequency=22050, size=-16, channels=2, buffer=512)   
lectRF = Rc522rfid()
cartes = [0x53c6e9d9,0xe3fab4d9,0x3388b0d9]
ficSon = [ "Drum","DrumMachine","DrumSet1","DrumSet2","Eggs","DripDrop" ]

def main():
  print ("Lecteur Jukebox RFID simple")
  print ("Ctrl-C pour quitter.")
  while 1:                           # toujours    
    IDcarte = lectRF.RC522_GetCard()
    pygame.mixer.music.stop()
    for i in range(0,len(cartes)):
      if IDcarte == cartes[i]:
        try :
          pygame.mixer.music.load("/home/pi/Music/"+str(ficSon[i])+".mp3")
          pygame.mixer.music.play()
          print("Lecture de:- "+str(ficSon[i])+".mp3")
        except :
          print("Erreur:-/home/pi/Music/"+str(ficSon[i])+".mp3")
               
# 
if __name__ == '__main__':
  try:
    main()
  except KeyboardInterrupt:
    pass

            
