# nebulos (VF de Cloudbusting)
# VO Sean McManus - www.sean.co.uk
# VF O. Engler
# Pour lancer le jeu :  pgzrun nebulos.py

import random

WIDTH  = 500
HEIGHT = 500
score  = 0
timer  = 10
nebus = list()

for i in range(6):
    nomFic = 'target' + str(i)
    nebus.append (Actor(nomFic))
    nebac = nebus[i]
    nebac.x = random.randint(int(nebac.width / 2), int(WIDTH - nebac.width / 2))
    nebac.y = HEIGHT + nebac.height
    animate(nebac, tween='linear', duration=random.uniform(1, 3),  pos=(nebac.x + random.randint(10, 100), -200))

def draw():
    screen.clear()
    for i in range(6):
        nebac = nebus[i]
        nebac.draw()

    screen.draw.text("Score: " + str(score), (2, 2), color="red")
    screen.draw.text("Timer: " + str(timer), (WIDTH - 70, 2), color="red")
    if timer == 0:
        screen.draw.text(str(score), (130, 120), color="white", fontsize=300)

def update():
    for i in range(6):
        nebac = nebus[i]
        if nebac.y < 0 - nebac.height:
            nebac.y = HEIGHT + nebac.height
            if timer > 0:
                nebac.x = random.randint(int(nebac.width / 2), int(WIDTH - nebac.width / 2))
                nebac.image = 'target' + str(i)
                animate(nebac, tween='linear', duration=random.uniform(1, 3), pos=(nebac.x + random.randint(10,  100), -200))

def on_mouse_down(pos):
    global score
    for i in range(6):
        nebac = nebus[i]
        if nebac.collidepoint(pos) and timer > 0 and nebac.image != 'pop':
            nebac.image = 'pop'
            sounds.blop.play()
            score += 1

def krono():
    global timer
    timer -= 1
    if timer == 0:
        clock.unschedule(krono)
        sounds.whoops.play()

##
clock.schedule_interval(krono, 1)
