#!/usr/bin/env python3
# Rainbow Invaders by Mike Cook
# VF par O.E.

import RPi.GPIO as io
import pygame
import time, random
from apa102bangfr import Apa102bangfr

def main():
  global rayon,encore,altiBmb,coulBmb
  print("Rainbow Invaders FR")
  init()
  encore = True
  monScore = 0  # bombHit = False
  altiBmb = 8 
  coups = 3
  ciel.changerLed(0,base[coups])  
  ciel.afficher()
  time.sleep(vitesseJ)  
  tBmbSuiv = time.time()+vitesseJ
  coulBmb = (0,0,0)
  colorerBmb()
  while 1:
    while encore:
      if time.time()>tBmbSuiv:
         altiBmb -=1  
         voirBombe(altiBmb)
         tBmbSuiv = time.time()+vitesseJ
      monScore = tirer(altiBmb,monScore)
      if altiBmb == 0 :
          ciel.changerTout((0,0,0))
          ciel.changerLed(0,(255,0,0))
          ciel.afficher() # explosion
          sonJ[3].play() # base hit
          time.sleep(2.5) # time to play
          coups -= 1
          if coups == 0:
            encore = False
          else:
            print("Base:-",coups,"avant destruction")
            ciel.changerLed(0,base[coups])
            colorerBmb()
            altiBmb = 8
      ciel.afficher()
    print("Base disparue:- votre score",monScore)
    time.sleep(vitesseJ * 10)         
    print("Appuyez sur un bouton pour rejouer!")
    while io.input(feuR) and io.input(feuV) and io.input(feuB):
        pass
    print("Nouvelle partie...")  
    coups = 3
    encore = True
    altiBmb = 8
    ciel.changerLed(0,base[coups])
    ciel.afficher()
    colorerBmb()
    while (not io.input(feuR)) | (not io.input(feuV)) | (not io.input(feuB)):
        pass

def lireCTir():
    m = 128
    b = ((not io.input(feuR))*m,(not io.input(feuV))*m,(not io.input(feuB))*m)
    return b
                 
def voirLaser(col,limit):
   for i in range(1,limit):
      ciel.changerLed(i,col)
      ciel.afficher()
      time.sleep(0.05)
   
def voirBombe(pos):
   global coulBmb
   voirLaser((0,0,0),8)
   ciel.changerLed(pos,coulBmb)
   ciel.afficher()

def tirer(far,score):
   global rayon,coulBmb,altiBmb
   if lireCTir() != rayon:   # laser 
     rayon = lireCTir()
     if rayon != (0,0,0):
          sonJ[1].play()
     voirLaser(rayon,far)
     if rayon == coulBmb :   # au but
       time.sleep(0.2)
       sonJ[2].play()        # Son impact
       score += far
       time.sleep(1.5) # Attendre fin du tir
       altiBmb = 8 
       colorerBmb() 
   return score
     
def colorerBmb():
   global coulBmb
   sonJ[0].play() # bomb incoming
   while 1 :
     r = random.randint(0,1) * 128
     g = random.randint(0,1) * 128
     b = random.randint(0,1) * 128
     if not(r==0 and g==0 and b==0) and coulBmb != (r,g,b) :
        break
   coulBmb = (r,g,b)
   
def init():
   global feuR,feuV,feuB,rayon,ciel,vitesseJ,base,sonJ
   random.seed()
   io.setmode(io.BCM)
   feuR = 4
   feuV = 3
   feuB = 2
   io.setup([feuR,feuV,feuB],io.IN, pull_up_down=io.PUD_UP)
   rayon = lireCTir()
   guirla = 8
   lumino = 4
   broData  = 23       # Broches pour Blinkt
   broClock = 24
   ciel = Apa102bangfr(guirla,broData,broClock,lumino)
   vitesseJ = 0.3     # Delai en secondes
   pygame.mixer.quit()
   pygame.mixer.init(frequency=22050, size=-16, channels=2, buffer=512)   
   base = [(0,0,0),(32,0,32),(0,64,0),(0,128,128)] # Couleurs de base
   discot = ["ComputerBeeps2","Laser1","Pop","Screech"]
   sonJ = [ pygame.mixer.Sound("sounds/"+discot[sound]+".wav")
                  for sound in range(0,4)]
    
# Main program logic:
if __name__ == '__main__':
  try:
    main()
  except KeyboardInterrupt:
    pass
# turn off all LEDs  
ciel.changerTout((0,0,0))
ciel.afficher() 
 
